{"openapi":"3.1.1","info":{"title":"Planning Center Giving","version":"2019-10-18","description":"Planning Center Giving tracks all donations for your church, allowing people to give a one-time gift or set up recurring donations.","termsOfService":"https://planningcenter.com/terms","contact":{"name":"Planning Center","url":"https://www.planningcenter.com","email":"support@planningcenter.com"},"x-pco-api-version":"16.0.2"},"externalDocs":{"description":"Planning Center developer documentation","url":"https://planningcenter.com/developers"},"servers":[{"url":"https://api.planningcenteronline.com/giving/v2"}],"security":[{"oauth2":["giving"]},{"personal_access_token":[]}],"tags":[{"name":"BatchGroup","description":"A `BatchGroup` is a collection of `Batch`es.\n\n`BatchGroup`s are an optional way of organizing your `Batch`es into groups that share common characteristics. These are completely customizable and can be used in whatever way makes sense to your organization's workflow.\n\nSimilarly to `Batch`es, you can `commit` (see more in the Actions section) a `BatchGroup`, and by doing so, all `Batches` and `Donations` contained in the `BatchGroup` will also be committed.\n"},{"name":"Donation","description":"A `Donation` record corresponds to a gift given to an `Organization` at a particular point in time.\n\n`Donation`s are added by first associating them to a `Batch` of donations, and then committing the `Batch`. When adding a `Donation` to an already-committed `Batch`, the `Donation` will automatically be committed as well, and immediately added to the donor's online history.\n"},{"name":"Batch","description":"A `Batch` is a collection of `Donation`s. When creating `Donation`'s via the API, you're required to put them in a `Batch`.\n\nWhen a `Batch` is first created, it's in the `in_progress` or \"uncommitted\" state. You can freely add/remove/modify `Donation`s in this `Batch` and they won't show up in a donor's donation history online, they won't appear in any donor statements issued by the Giving admin, and changes to these donations are not flagged in the system log. Think of it as a staging area for donations.\n\nWhen a `Batch` is committed (see more in the Actions section), all of the `Donation`s within it are also marked as \"committed\". At that point, they're visible to donors in their online history, and any further edits made to those `Donation`s are logged and visible to Giving admins.\n\nWith all of that in mind, you can use `Batch`es in one of two ways:\n\n  1.  Create an uncommitted `Batch`, add `Donation`s to it, then commit the `Batch`.\n  2.  Create a `Batch` with a least one donation, commit it, then add more `Donation`s to it.\n\nIn both cases, the end result is the same. The main difference is that option #2 does not provide you/other admins the opportunity to fix any mistakes before changes are logged and `Donation`s are made visible to donors. Any `Donation`s added to a committed `Batch` will automatically be committed as well. Note, batches can't be committed until they have at least one donation.\n\nWhichever route you decide to take, it's helpful to make use of the `Batch`'s description to help differentiate these groupings from each other and from other `Batch`es that the Giving admins might be creating on their own.\n"},{"name":"Person","description":"A Planning Center `Person` record that has been added to Giving.\n\nThe `Person` object in Planning Center is so crucial that we have an entire product dedicated to managing, keeping track of, editing, and creating these records and metadata around them. For additional info, take a look at the [Planning Center People API Docs](https://developer.planning.center/docs/#/apps/people).\n"},{"name":"Fund","description":"A `Fund` is a way of tracking the intent of `Donation`.\n\nAll `Organization`s have a default `Fund` (usually named \"General\"), and creating additional `Fund`s allows donors to allocate their gift to a particular cause/effort.\n\nYou can query for the default `Fund` using the `default` param:\n```\nGET https://api.planningcenteronline.com/giving/v2/funds?where[default]=true\n```\n"},{"name":"Campus","description":"A `Campus` that has been added to your `Organization`.\n\n`Campus`es can be especially useful in filtering `Donation`s across the various locations of your `Organization`.\n"},{"name":"Label","description":"A `Label` is a way for Admins to manage and categorize `Donation`s.\n\nMultiple `Label`s can be added for each `Donation`, and these will only be displayed in the Giving admin interface, so donors never see them.\n"},{"name":"InKindDonation","description":"An `InKindDonation` record represents a non-cash gift given to an `Organization` at a specific time.\n\nThese include items like furniture, vehicles, services, or stocks. `InKindDonations` do not trigger\nacknowledgment letter emails via the API — these must be sent from the Giving Admin UI.\n\n[More info](https://pcogiving.zendesk.com/hc/en-us/articles/360040772154-In-kind-donations#enter-an-in-kind-donation-0)\n"},{"name":"PaymentSource","description":"A donation's `PaymentSource` refers to the platform it originated from.\n\n`Donation`s made through Giving will be assigned the built-in `PaymentSource` \"Planning Center\". `Donation`s made through external platforms (Square, Pushpay, ect.) can be assigned a `PaymentSource` identifying them as such.\n"},{"name":"RecurringDonation","description":"A `RecurringDonation` is represents a `Donation` that repeats on a set schedule (weekly, monthly, etc.)\n\nData for `RecurringDonation`s is read-only; they can not be created or edited through the API.\n"}],"paths":{"/batch_groups":{"summary":"BatchGroup","description":"A `BatchGroup` is a collection of `Batch`es.\n\n`BatchGroup`s are an optional way of organizing your `Batch`es into groups that share common characteristics. These are completely customizable and can be used in whatever way makes sense to your organization's workflow.\n\nSimilarly to `Batch`es, you can `commit` (see more in the Actions section) a `BatchGroup`, and by doing so, all `Batches` and `Donations` contained in the `BatchGroup` will also be committed.\n","get":{"tags":["BatchGroup"],"parameters":[{"$ref":"#/components/parameters/organization_batch_groups_filter_parameter"},{"$ref":"#/components/parameters/batchgroup_where_updated_at_parameter"},{"$ref":"#/components/parameters/batchgroup_where_updated_at_gt_parameter"},{"$ref":"#/components/parameters/batchgroup_where_updated_at_gte_parameter"},{"$ref":"#/components/parameters/batchgroup_where_updated_at_lt_parameter"},{"$ref":"#/components/parameters/batchgroup_where_updated_at_lte_parameter"},{"$ref":"#/components/parameters/person_where_owner_first_name_parameter"},{"$ref":"#/components/parameters/person_where_owner_last_name_parameter"},{"$ref":"#/components/parameters/batchgroup_order_parameter"},{"$ref":"#/components/parameters/batchgroup_include_parameter"},{"$ref":"#/components/parameters/batchgroup_all_fields_parameter"},{"$ref":"#/components/parameters/person_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_batch_groups_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"post":{"tags":["BatchGroup"],"parameters":[{"$ref":"#/components/parameters/batchgroup_include_parameter"},{"$ref":"#/components/parameters/batchgroup_all_fields_parameter"},{"$ref":"#/components/parameters/person_all_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/batchgroup_resource_create"},"responses":{"201":{"description":"Successful create response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_batch_groups_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/batch_groups/{batch_group_id}":{"summary":"BatchGroup","description":"A `BatchGroup` is a collection of `Batch`es.\n\n`BatchGroup`s are an optional way of organizing your `Batch`es into groups that share common characteristics. These are completely customizable and can be used in whatever way makes sense to your organization's workflow.\n\nSimilarly to `Batch`es, you can `commit` (see more in the Actions section) a `BatchGroup`, and by doing so, all `Batches` and `Donations` contained in the `BatchGroup` will also be committed.\n","get":{"tags":["BatchGroup"],"parameters":[{"name":"batch_group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The BatchGroup id"},{"$ref":"#/components/parameters/batchgroup_include_parameter"},{"$ref":"#/components/parameters/batchgroup_all_fields_parameter"},{"$ref":"#/components/parameters/person_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_batch_groups_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"patch":{"tags":["BatchGroup"],"parameters":[{"name":"batch_group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The BatchGroup id"},{"$ref":"#/components/parameters/batchgroup_include_parameter"},{"$ref":"#/components/parameters/batchgroup_all_fields_parameter"},{"$ref":"#/components/parameters/person_all_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/batchgroup_resource_update"},"responses":{"200":{"description":"Successful update response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_batch_groups_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}},"delete":{"tags":["BatchGroup"],"parameters":[{"name":"batch_group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The BatchGroup id"}],"responses":{"204":{"description":"Successful destroy response (no content)"},"400":{"$ref":"#/components/responses/400_destroy"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/batch_groups/{batch_group_id}/batches":{"summary":"Batch","description":"A `Batch` is a collection of `Donation`s. When creating `Donation`'s via the API, you're required to put them in a `Batch`.\n\nWhen a `Batch` is first created, it's in the `in_progress` or \"uncommitted\" state. You can freely add/remove/modify `Donation`s in this `Batch` and they won't show up in a donor's donation history online, they won't appear in any donor statements issued by the Giving admin, and changes to these donations are not flagged in the system log. Think of it as a staging area for donations.\n\nWhen a `Batch` is committed (see more in the Actions section), all of the `Donation`s within it are also marked as \"committed\". At that point, they're visible to donors in their online history, and any further edits made to those `Donation`s are logged and visible to Giving admins.\n\nWith all of that in mind, you can use `Batch`es in one of two ways:\n\n  1.  Create an uncommitted `Batch`, add `Donation`s to it, then commit the `Batch`.\n  2.  Create a `Batch` with a least one donation, commit it, then add more `Donation`s to it.\n\nIn both cases, the end result is the same. The main difference is that option #2 does not provide you/other admins the opportunity to fix any mistakes before changes are logged and `Donation`s are made visible to donors. Any `Donation`s added to a committed `Batch` will automatically be committed as well. Note, batches can't be committed until they have at least one donation.\n\nWhichever route you decide to take, it's helpful to make use of the `Batch`'s description to help differentiate these groupings from each other and from other `Batch`es that the Giving admins might be creating on their own.\n","get":{"tags":["BatchGroup"],"parameters":[{"name":"batch_group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The BatchGroup id"},{"$ref":"#/components/parameters/batch_group_batches_filter_parameter"},{"$ref":"#/components/parameters/batch_where_updated_at_parameter"},{"$ref":"#/components/parameters/batch_where_updated_at_gt_parameter"},{"$ref":"#/components/parameters/batch_where_updated_at_gte_parameter"},{"$ref":"#/components/parameters/batch_where_updated_at_lt_parameter"},{"$ref":"#/components/parameters/batch_where_updated_at_lte_parameter"},{"$ref":"#/components/parameters/batchgroup_where_batch_group_updated_at_parameter"},{"$ref":"#/components/parameters/batchgroup_where_batch_group_updated_at_gt_parameter"},{"$ref":"#/components/parameters/batchgroup_where_batch_group_updated_at_gte_parameter"},{"$ref":"#/components/parameters/batchgroup_where_batch_group_updated_at_lt_parameter"},{"$ref":"#/components/parameters/batchgroup_where_batch_group_updated_at_lte_parameter"},{"$ref":"#/components/parameters/person_where_owner_first_name_parameter"},{"$ref":"#/components/parameters/person_where_owner_last_name_parameter"},{"$ref":"#/components/parameters/person_where_batch_group_owner_first_name_parameter"},{"$ref":"#/components/parameters/person_where_batch_group_owner_last_name_parameter"},{"$ref":"#/components/parameters/batch_order_parameter"},{"$ref":"#/components/parameters/batch_include_parameter"},{"$ref":"#/components/parameters/batch_all_fields_parameter"},{"$ref":"#/components/parameters/batchgroup_all_fields_parameter"},{"$ref":"#/components/parameters/person_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/batch_group_batches_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"post":{"tags":["BatchGroup"],"parameters":[{"name":"batch_group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The BatchGroup id"},{"$ref":"#/components/parameters/batch_include_parameter"},{"$ref":"#/components/parameters/batch_all_fields_parameter"},{"$ref":"#/components/parameters/batchgroup_all_fields_parameter"},{"$ref":"#/components/parameters/person_all_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/batch_resource_create"},"responses":{"201":{"description":"Successful create response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/batch_group_batches_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/batch_groups/{batch_group_id}/batches/{batch_id}":{"summary":"Batch","description":"A `Batch` is a collection of `Donation`s. When creating `Donation`'s via the API, you're required to put them in a `Batch`.\n\nWhen a `Batch` is first created, it's in the `in_progress` or \"uncommitted\" state. You can freely add/remove/modify `Donation`s in this `Batch` and they won't show up in a donor's donation history online, they won't appear in any donor statements issued by the Giving admin, and changes to these donations are not flagged in the system log. Think of it as a staging area for donations.\n\nWhen a `Batch` is committed (see more in the Actions section), all of the `Donation`s within it are also marked as \"committed\". At that point, they're visible to donors in their online history, and any further edits made to those `Donation`s are logged and visible to Giving admins.\n\nWith all of that in mind, you can use `Batch`es in one of two ways:\n\n  1.  Create an uncommitted `Batch`, add `Donation`s to it, then commit the `Batch`.\n  2.  Create a `Batch` with a least one donation, commit it, then add more `Donation`s to it.\n\nIn both cases, the end result is the same. The main difference is that option #2 does not provide you/other admins the opportunity to fix any mistakes before changes are logged and `Donation`s are made visible to donors. Any `Donation`s added to a committed `Batch` will automatically be committed as well. Note, batches can't be committed until they have at least one donation.\n\nWhichever route you decide to take, it's helpful to make use of the `Batch`'s description to help differentiate these groupings from each other and from other `Batch`es that the Giving admins might be creating on their own.\n","get":{"tags":["BatchGroup"],"parameters":[{"name":"batch_group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The BatchGroup id"},{"name":"batch_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Batch id"},{"$ref":"#/components/parameters/batch_include_parameter"},{"$ref":"#/components/parameters/batch_all_fields_parameter"},{"$ref":"#/components/parameters/batchgroup_all_fields_parameter"},{"$ref":"#/components/parameters/person_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/batch_group_batches_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"patch":{"tags":["BatchGroup"],"parameters":[{"name":"batch_group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The BatchGroup id"},{"name":"batch_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Batch id"},{"$ref":"#/components/parameters/batch_include_parameter"},{"$ref":"#/components/parameters/batch_all_fields_parameter"},{"$ref":"#/components/parameters/batchgroup_all_fields_parameter"},{"$ref":"#/components/parameters/person_all_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/batch_resource_update"},"responses":{"200":{"description":"Successful update response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/batch_group_batches_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}},"delete":{"tags":["BatchGroup"],"parameters":[{"name":"batch_group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The BatchGroup id"},{"name":"batch_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Batch id"}],"responses":{"204":{"description":"Successful destroy response (no content)"},"400":{"$ref":"#/components/responses/400_destroy"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/batch_groups/{batch_group_id}/commit":{"summary":"commit","description":"Used to commit an in progress batch group.","post":{"tags":["BatchGroup"],"parameters":[{"name":"batch_group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The BatchGroup id"}],"responses":{"201":{"description":"Successful action response","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/batch_groups/{batch_group_id}/owner":{"summary":"Person","description":"A Planning Center `Person` record that has been added to Giving.\n\nThe `Person` object in Planning Center is so crucial that we have an entire product dedicated to managing, keeping track of, editing, and creating these records and metadata around them. For additional info, take a look at the [Planning Center People API Docs](https://developer.planning.center/docs/#/apps/people).\n","get":{"tags":["BatchGroup"],"parameters":[{"name":"batch_group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The BatchGroup id"},{"$ref":"#/components/parameters/person_where_first_name_parameter"},{"$ref":"#/components/parameters/person_where_last_name_parameter"},{"$ref":"#/components/parameters/person_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/batch_group_owner_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/batch_groups/{batch_group_id}/owner/{owner_id}":{"summary":"Person","description":"A Planning Center `Person` record that has been added to Giving.\n\nThe `Person` object in Planning Center is so crucial that we have an entire product dedicated to managing, keeping track of, editing, and creating these records and metadata around them. For additional info, take a look at the [Planning Center People API Docs](https://developer.planning.center/docs/#/apps/people).\n","get":{"tags":["BatchGroup"],"parameters":[{"name":"batch_group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The BatchGroup id"},{"name":"owner_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Owner id"},{"$ref":"#/components/parameters/person_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/batch_group_owner_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"patch":{"tags":["BatchGroup"],"parameters":[{"name":"batch_group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The BatchGroup id"},{"name":"owner_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Owner id"},{"$ref":"#/components/parameters/person_all_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/person_resource_update"},"responses":{"200":{"description":"Successful update response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/batch_group_owner_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/batches":{"summary":"Batch","description":"A `Batch` is a collection of `Donation`s. When creating `Donation`'s via the API, you're required to put them in a `Batch`.\n\nWhen a `Batch` is first created, it's in the `in_progress` or \"uncommitted\" state. You can freely add/remove/modify `Donation`s in this `Batch` and they won't show up in a donor's donation history online, they won't appear in any donor statements issued by the Giving admin, and changes to these donations are not flagged in the system log. Think of it as a staging area for donations.\n\nWhen a `Batch` is committed (see more in the Actions section), all of the `Donation`s within it are also marked as \"committed\". At that point, they're visible to donors in their online history, and any further edits made to those `Donation`s are logged and visible to Giving admins.\n\nWith all of that in mind, you can use `Batch`es in one of two ways:\n\n  1.  Create an uncommitted `Batch`, add `Donation`s to it, then commit the `Batch`.\n  2.  Create a `Batch` with a least one donation, commit it, then add more `Donation`s to it.\n\nIn both cases, the end result is the same. The main difference is that option #2 does not provide you/other admins the opportunity to fix any mistakes before changes are logged and `Donation`s are made visible to donors. Any `Donation`s added to a committed `Batch` will automatically be committed as well. Note, batches can't be committed until they have at least one donation.\n\nWhichever route you decide to take, it's helpful to make use of the `Batch`'s description to help differentiate these groupings from each other and from other `Batch`es that the Giving admins might be creating on their own.\n","get":{"tags":["Batch"],"parameters":[{"$ref":"#/components/parameters/organization_batches_filter_parameter"},{"$ref":"#/components/parameters/batch_where_updated_at_parameter"},{"$ref":"#/components/parameters/batch_where_updated_at_gt_parameter"},{"$ref":"#/components/parameters/batch_where_updated_at_gte_parameter"},{"$ref":"#/components/parameters/batch_where_updated_at_lt_parameter"},{"$ref":"#/components/parameters/batch_where_updated_at_lte_parameter"},{"$ref":"#/components/parameters/batchgroup_where_batch_group_updated_at_parameter"},{"$ref":"#/components/parameters/batchgroup_where_batch_group_updated_at_gt_parameter"},{"$ref":"#/components/parameters/batchgroup_where_batch_group_updated_at_gte_parameter"},{"$ref":"#/components/parameters/batchgroup_where_batch_group_updated_at_lt_parameter"},{"$ref":"#/components/parameters/batchgroup_where_batch_group_updated_at_lte_parameter"},{"$ref":"#/components/parameters/person_where_owner_first_name_parameter"},{"$ref":"#/components/parameters/person_where_owner_last_name_parameter"},{"$ref":"#/components/parameters/person_where_batch_group_owner_first_name_parameter"},{"$ref":"#/components/parameters/person_where_batch_group_owner_last_name_parameter"},{"$ref":"#/components/parameters/batch_order_parameter"},{"$ref":"#/components/parameters/batch_include_parameter"},{"$ref":"#/components/parameters/batch_all_fields_parameter"},{"$ref":"#/components/parameters/batchgroup_all_fields_parameter"},{"$ref":"#/components/parameters/person_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_batches_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"post":{"tags":["Batch"],"parameters":[{"$ref":"#/components/parameters/batch_include_parameter"},{"$ref":"#/components/parameters/batch_all_fields_parameter"},{"$ref":"#/components/parameters/batchgroup_all_fields_parameter"},{"$ref":"#/components/parameters/person_all_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/batch_resource_create"},"responses":{"201":{"description":"Successful create response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_batches_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/batches/{batch_id}":{"summary":"Batch","description":"A `Batch` is a collection of `Donation`s. When creating `Donation`'s via the API, you're required to put them in a `Batch`.\n\nWhen a `Batch` is first created, it's in the `in_progress` or \"uncommitted\" state. You can freely add/remove/modify `Donation`s in this `Batch` and they won't show up in a donor's donation history online, they won't appear in any donor statements issued by the Giving admin, and changes to these donations are not flagged in the system log. Think of it as a staging area for donations.\n\nWhen a `Batch` is committed (see more in the Actions section), all of the `Donation`s within it are also marked as \"committed\". At that point, they're visible to donors in their online history, and any further edits made to those `Donation`s are logged and visible to Giving admins.\n\nWith all of that in mind, you can use `Batch`es in one of two ways:\n\n  1.  Create an uncommitted `Batch`, add `Donation`s to it, then commit the `Batch`.\n  2.  Create a `Batch` with a least one donation, commit it, then add more `Donation`s to it.\n\nIn both cases, the end result is the same. The main difference is that option #2 does not provide you/other admins the opportunity to fix any mistakes before changes are logged and `Donation`s are made visible to donors. Any `Donation`s added to a committed `Batch` will automatically be committed as well. Note, batches can't be committed until they have at least one donation.\n\nWhichever route you decide to take, it's helpful to make use of the `Batch`'s description to help differentiate these groupings from each other and from other `Batch`es that the Giving admins might be creating on their own.\n","get":{"tags":["Batch"],"parameters":[{"name":"batch_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Batch id"},{"$ref":"#/components/parameters/batch_include_parameter"},{"$ref":"#/components/parameters/batch_all_fields_parameter"},{"$ref":"#/components/parameters/batchgroup_all_fields_parameter"},{"$ref":"#/components/parameters/person_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_batches_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"patch":{"tags":["Batch"],"parameters":[{"name":"batch_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Batch id"},{"$ref":"#/components/parameters/batch_include_parameter"},{"$ref":"#/components/parameters/batch_all_fields_parameter"},{"$ref":"#/components/parameters/batchgroup_all_fields_parameter"},{"$ref":"#/components/parameters/person_all_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/batch_resource_update"},"responses":{"200":{"description":"Successful update response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_batches_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}},"delete":{"tags":["Batch"],"parameters":[{"name":"batch_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Batch id"}],"responses":{"204":{"description":"Successful destroy response (no content)"},"400":{"$ref":"#/components/responses/400_destroy"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/batches/{batch_id}/batch_group":{"summary":"BatchGroup","description":"A `BatchGroup` is a collection of `Batch`es.\n\n`BatchGroup`s are an optional way of organizing your `Batch`es into groups that share common characteristics. These are completely customizable and can be used in whatever way makes sense to your organization's workflow.\n\nSimilarly to `Batch`es, you can `commit` (see more in the Actions section) a `BatchGroup`, and by doing so, all `Batches` and `Donations` contained in the `BatchGroup` will also be committed.\n","get":{"tags":["Batch"],"parameters":[{"name":"batch_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Batch id"},{"$ref":"#/components/parameters/batchgroup_where_updated_at_parameter"},{"$ref":"#/components/parameters/batchgroup_where_updated_at_gt_parameter"},{"$ref":"#/components/parameters/batchgroup_where_updated_at_gte_parameter"},{"$ref":"#/components/parameters/batchgroup_where_updated_at_lt_parameter"},{"$ref":"#/components/parameters/batchgroup_where_updated_at_lte_parameter"},{"$ref":"#/components/parameters/person_where_owner_first_name_parameter"},{"$ref":"#/components/parameters/person_where_owner_last_name_parameter"},{"$ref":"#/components/parameters/batchgroup_order_parameter"},{"$ref":"#/components/parameters/batchgroup_include_parameter"},{"$ref":"#/components/parameters/batchgroup_all_fields_parameter"},{"$ref":"#/components/parameters/person_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/batch_batch_group_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/batches/{batch_id}/batch_group/{batch_group_id}":{"summary":"BatchGroup","description":"A `BatchGroup` is a collection of `Batch`es.\n\n`BatchGroup`s are an optional way of organizing your `Batch`es into groups that share common characteristics. These are completely customizable and can be used in whatever way makes sense to your organization's workflow.\n\nSimilarly to `Batch`es, you can `commit` (see more in the Actions section) a `BatchGroup`, and by doing so, all `Batches` and `Donations` contained in the `BatchGroup` will also be committed.\n","get":{"tags":["Batch"],"parameters":[{"name":"batch_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Batch id"},{"name":"batch_group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The BatchGroup id"},{"$ref":"#/components/parameters/batchgroup_include_parameter"},{"$ref":"#/components/parameters/batchgroup_all_fields_parameter"},{"$ref":"#/components/parameters/person_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/batch_batch_group_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"patch":{"tags":["Batch"],"parameters":[{"name":"batch_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Batch id"},{"name":"batch_group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The BatchGroup id"},{"$ref":"#/components/parameters/batchgroup_include_parameter"},{"$ref":"#/components/parameters/batchgroup_all_fields_parameter"},{"$ref":"#/components/parameters/person_all_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/batchgroup_resource_update"},"responses":{"200":{"description":"Successful update response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/batch_batch_group_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}},"delete":{"tags":["Batch"],"parameters":[{"name":"batch_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Batch id"},{"name":"batch_group_id","in":"path","schema":{"type":"string"},"required":true,"description":"The BatchGroup id"}],"responses":{"204":{"description":"Successful destroy response (no content)"},"400":{"$ref":"#/components/responses/400_destroy"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/batches/{batch_id}/commit":{"summary":"commit","description":"Used to commit an in progress batch.","post":{"tags":["Batch"],"parameters":[{"name":"batch_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Batch id"}],"responses":{"201":{"description":"Successful action response","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/batches/{batch_id}/donations":{"summary":"Donation","description":"A `Donation` record corresponds to a gift given to an `Organization` at a particular point in time.\n\n`Donation`s are added by first associating them to a `Batch` of donations, and then committing the `Batch`. When adding a `Donation` to an already-committed `Batch`, the `Donation` will automatically be committed as well, and immediately added to the donor's online history.\n","get":{"tags":["Batch"],"parameters":[{"name":"batch_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Batch id"},{"$ref":"#/components/parameters/donation_where_payment_method_parameter"},{"$ref":"#/components/parameters/donation_where_received_at_parameter"},{"$ref":"#/components/parameters/donation_where_received_at_gt_parameter"},{"$ref":"#/components/parameters/donation_where_received_at_gte_parameter"},{"$ref":"#/components/parameters/donation_where_received_at_lt_parameter"},{"$ref":"#/components/parameters/donation_where_received_at_lte_parameter"},{"$ref":"#/components/parameters/donation_where_created_at_parameter"},{"$ref":"#/components/parameters/donation_where_created_at_gt_parameter"},{"$ref":"#/components/parameters/donation_where_created_at_gte_parameter"},{"$ref":"#/components/parameters/donation_where_created_at_lt_parameter"},{"$ref":"#/components/parameters/donation_where_created_at_lte_parameter"},{"$ref":"#/components/parameters/donation_where_updated_at_parameter"},{"$ref":"#/components/parameters/donation_where_updated_at_gt_parameter"},{"$ref":"#/components/parameters/donation_where_updated_at_gte_parameter"},{"$ref":"#/components/parameters/donation_where_updated_at_lt_parameter"},{"$ref":"#/components/parameters/donation_where_updated_at_lte_parameter"},{"$ref":"#/components/parameters/donation_where_completed_at_parameter"},{"$ref":"#/components/parameters/donation_where_completed_at_gt_parameter"},{"$ref":"#/components/parameters/donation_where_completed_at_gte_parameter"},{"$ref":"#/components/parameters/donation_where_completed_at_lt_parameter"},{"$ref":"#/components/parameters/donation_where_completed_at_lte_parameter"},{"$ref":"#/components/parameters/donation_where_fund_id_parameter"},{"$ref":"#/components/parameters/label_where_labels_slug_parameter"},{"$ref":"#/components/parameters/donation_order_parameter"},{"$ref":"#/components/parameters/donation_include_parameter"},{"$ref":"#/components/parameters/donation_all_fields_parameter"},{"$ref":"#/components/parameters/designation_all_fields_parameter"},{"$ref":"#/components/parameters/label_all_fields_parameter"},{"$ref":"#/components/parameters/note_all_fields_parameter"},{"$ref":"#/components/parameters/refund_all_fields_parameter"},{"$ref":"#/components/parameters/designationrefund_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/batch_donations_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"post":{"tags":["Batch"],"parameters":[{"name":"batch_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Batch id"},{"$ref":"#/components/parameters/donation_include_parameter"},{"$ref":"#/components/parameters/donation_all_fields_parameter"},{"$ref":"#/components/parameters/designation_all_fields_parameter"},{"$ref":"#/components/parameters/label_all_fields_parameter"},{"$ref":"#/components/parameters/note_all_fields_parameter"},{"$ref":"#/components/parameters/refund_all_fields_parameter"},{"$ref":"#/components/parameters/designationrefund_only_attributes_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/donation_resource_create"},"responses":{"201":{"description":"Successful create response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/batch_donations_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/batches/{batch_id}/donations/{donation_id}":{"summary":"Donation","description":"A `Donation` record corresponds to a gift given to an `Organization` at a particular point in time.\n\n`Donation`s are added by first associating them to a `Batch` of donations, and then committing the `Batch`. When adding a `Donation` to an already-committed `Batch`, the `Donation` will automatically be committed as well, and immediately added to the donor's online history.\n","get":{"tags":["Batch"],"parameters":[{"name":"batch_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Batch id"},{"name":"donation_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Donation id"},{"$ref":"#/components/parameters/donation_include_parameter"},{"$ref":"#/components/parameters/donation_all_fields_parameter"},{"$ref":"#/components/parameters/designation_all_fields_parameter"},{"$ref":"#/components/parameters/label_all_fields_parameter"},{"$ref":"#/components/parameters/note_all_fields_parameter"},{"$ref":"#/components/parameters/refund_all_fields_parameter"},{"$ref":"#/components/parameters/designationrefund_only_attributes_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/batch_donations_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"patch":{"tags":["Batch"],"parameters":[{"name":"batch_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Batch id"},{"name":"donation_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Donation id"},{"$ref":"#/components/parameters/donation_include_parameter"},{"$ref":"#/components/parameters/donation_all_fields_parameter"},{"$ref":"#/components/parameters/designation_all_fields_parameter"},{"$ref":"#/components/parameters/label_all_fields_parameter"},{"$ref":"#/components/parameters/note_all_fields_parameter"},{"$ref":"#/components/parameters/refund_all_fields_parameter"},{"$ref":"#/components/parameters/designationrefund_only_attributes_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/donation_resource_update"},"responses":{"200":{"description":"Successful update response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/batch_donations_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}},"delete":{"tags":["Batch"],"parameters":[{"name":"batch_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Batch id"},{"name":"donation_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Donation id"}],"responses":{"204":{"description":"Successful destroy response (no content)"},"400":{"$ref":"#/components/responses/400_destroy"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/batches/{batch_id}/owner":{"summary":"Person","description":"A Planning Center `Person` record that has been added to Giving.\n\nThe `Person` object in Planning Center is so crucial that we have an entire product dedicated to managing, keeping track of, editing, and creating these records and metadata around them. For additional info, take a look at the [Planning Center People API Docs](https://developer.planning.center/docs/#/apps/people).\n","get":{"tags":["Batch"],"parameters":[{"name":"batch_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Batch id"},{"$ref":"#/components/parameters/person_where_first_name_parameter"},{"$ref":"#/components/parameters/person_where_last_name_parameter"},{"$ref":"#/components/parameters/person_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/batch_owner_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/batches/{batch_id}/owner/{owner_id}":{"summary":"Person","description":"A Planning Center `Person` record that has been added to Giving.\n\nThe `Person` object in Planning Center is so crucial that we have an entire product dedicated to managing, keeping track of, editing, and creating these records and metadata around them. For additional info, take a look at the [Planning Center People API Docs](https://developer.planning.center/docs/#/apps/people).\n","get":{"tags":["Batch"],"parameters":[{"name":"batch_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Batch id"},{"name":"owner_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Owner id"},{"$ref":"#/components/parameters/person_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/batch_owner_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"patch":{"tags":["Batch"],"parameters":[{"name":"batch_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Batch id"},{"name":"owner_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Owner id"},{"$ref":"#/components/parameters/person_all_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/person_resource_update"},"responses":{"200":{"description":"Successful update response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/batch_owner_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/campuses":{"summary":"Campus","description":"A `Campus` that has been added to your `Organization`.\n\n`Campus`es can be especially useful in filtering `Donation`s across the various locations of your `Organization`.\n","get":{"tags":["Campus"],"parameters":[{"$ref":"#/components/parameters/campus_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_campuses_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/campuses/{campus_id}":{"summary":"Campus","description":"A `Campus` that has been added to your `Organization`.\n\n`Campus`es can be especially useful in filtering `Donation`s across the various locations of your `Organization`.\n","get":{"tags":["Campus"],"parameters":[{"name":"campus_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Campus id"},{"$ref":"#/components/parameters/campus_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_campuses_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/campuses/{campus_id}/donations":{"summary":"Donation","description":"A `Donation` record corresponds to a gift given to an `Organization` at a particular point in time.\n\n`Donation`s are added by first associating them to a `Batch` of donations, and then committing the `Batch`. When adding a `Donation` to an already-committed `Batch`, the `Donation` will automatically be committed as well, and immediately added to the donor's online history.\n","get":{"tags":["Campus"],"parameters":[{"name":"campus_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Campus id"},{"$ref":"#/components/parameters/donation_where_payment_method_parameter"},{"$ref":"#/components/parameters/donation_where_received_at_parameter"},{"$ref":"#/components/parameters/donation_where_received_at_gt_parameter"},{"$ref":"#/components/parameters/donation_where_received_at_gte_parameter"},{"$ref":"#/components/parameters/donation_where_received_at_lt_parameter"},{"$ref":"#/components/parameters/donation_where_received_at_lte_parameter"},{"$ref":"#/components/parameters/donation_where_created_at_parameter"},{"$ref":"#/components/parameters/donation_where_created_at_gt_parameter"},{"$ref":"#/components/parameters/donation_where_created_at_gte_parameter"},{"$ref":"#/components/parameters/donation_where_created_at_lt_parameter"},{"$ref":"#/components/parameters/donation_where_created_at_lte_parameter"},{"$ref":"#/components/parameters/donation_where_updated_at_parameter"},{"$ref":"#/components/parameters/donation_where_updated_at_gt_parameter"},{"$ref":"#/components/parameters/donation_where_updated_at_gte_parameter"},{"$ref":"#/components/parameters/donation_where_updated_at_lt_parameter"},{"$ref":"#/components/parameters/donation_where_updated_at_lte_parameter"},{"$ref":"#/components/parameters/donation_where_completed_at_parameter"},{"$ref":"#/components/parameters/donation_where_completed_at_gt_parameter"},{"$ref":"#/components/parameters/donation_where_completed_at_gte_parameter"},{"$ref":"#/components/parameters/donation_where_completed_at_lt_parameter"},{"$ref":"#/components/parameters/donation_where_completed_at_lte_parameter"},{"$ref":"#/components/parameters/donation_where_fund_id_parameter"},{"$ref":"#/components/parameters/label_where_labels_slug_parameter"},{"$ref":"#/components/parameters/donation_order_parameter"},{"$ref":"#/components/parameters/donation_include_parameter"},{"$ref":"#/components/parameters/donation_all_fields_parameter"},{"$ref":"#/components/parameters/designation_all_fields_parameter"},{"$ref":"#/components/parameters/label_all_fields_parameter"},{"$ref":"#/components/parameters/note_all_fields_parameter"},{"$ref":"#/components/parameters/refund_all_fields_parameter"},{"$ref":"#/components/parameters/designationrefund_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/campus_donations_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/campuses/{campus_id}/donations/{donation_id}":{"summary":"Donation","description":"A `Donation` record corresponds to a gift given to an `Organization` at a particular point in time.\n\n`Donation`s are added by first associating them to a `Batch` of donations, and then committing the `Batch`. When adding a `Donation` to an already-committed `Batch`, the `Donation` will automatically be committed as well, and immediately added to the donor's online history.\n","get":{"tags":["Campus"],"parameters":[{"name":"campus_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Campus id"},{"name":"donation_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Donation id"},{"$ref":"#/components/parameters/donation_include_parameter"},{"$ref":"#/components/parameters/donation_all_fields_parameter"},{"$ref":"#/components/parameters/designation_all_fields_parameter"},{"$ref":"#/components/parameters/label_all_fields_parameter"},{"$ref":"#/components/parameters/note_all_fields_parameter"},{"$ref":"#/components/parameters/refund_all_fields_parameter"},{"$ref":"#/components/parameters/designationrefund_only_attributes_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/campus_donations_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"patch":{"tags":["Campus"],"parameters":[{"name":"campus_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Campus id"},{"name":"donation_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Donation id"},{"$ref":"#/components/parameters/donation_include_parameter"},{"$ref":"#/components/parameters/donation_all_fields_parameter"},{"$ref":"#/components/parameters/designation_all_fields_parameter"},{"$ref":"#/components/parameters/label_all_fields_parameter"},{"$ref":"#/components/parameters/note_all_fields_parameter"},{"$ref":"#/components/parameters/refund_all_fields_parameter"},{"$ref":"#/components/parameters/designationrefund_only_attributes_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/donation_resource_update"},"responses":{"200":{"description":"Successful update response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/campus_donations_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}},"delete":{"tags":["Campus"],"parameters":[{"name":"campus_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Campus id"},{"name":"donation_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Donation id"}],"responses":{"204":{"description":"Successful destroy response (no content)"},"400":{"$ref":"#/components/responses/400_destroy"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/donations":{"summary":"Donation","description":"A `Donation` record corresponds to a gift given to an `Organization` at a particular point in time.\n\n`Donation`s are added by first associating them to a `Batch` of donations, and then committing the `Batch`. When adding a `Donation` to an already-committed `Batch`, the `Donation` will automatically be committed as well, and immediately added to the donor's online history.\n","get":{"tags":["Donation"],"parameters":[{"$ref":"#/components/parameters/organization_donations_filter_parameter"},{"$ref":"#/components/parameters/donation_where_payment_method_parameter"},{"$ref":"#/components/parameters/donation_where_received_at_parameter"},{"$ref":"#/components/parameters/donation_where_received_at_gt_parameter"},{"$ref":"#/components/parameters/donation_where_received_at_gte_parameter"},{"$ref":"#/components/parameters/donation_where_received_at_lt_parameter"},{"$ref":"#/components/parameters/donation_where_received_at_lte_parameter"},{"$ref":"#/components/parameters/donation_where_created_at_parameter"},{"$ref":"#/components/parameters/donation_where_created_at_gt_parameter"},{"$ref":"#/components/parameters/donation_where_created_at_gte_parameter"},{"$ref":"#/components/parameters/donation_where_created_at_lt_parameter"},{"$ref":"#/components/parameters/donation_where_created_at_lte_parameter"},{"$ref":"#/components/parameters/donation_where_updated_at_parameter"},{"$ref":"#/components/parameters/donation_where_updated_at_gt_parameter"},{"$ref":"#/components/parameters/donation_where_updated_at_gte_parameter"},{"$ref":"#/components/parameters/donation_where_updated_at_lt_parameter"},{"$ref":"#/components/parameters/donation_where_updated_at_lte_parameter"},{"$ref":"#/components/parameters/donation_where_completed_at_parameter"},{"$ref":"#/components/parameters/donation_where_completed_at_gt_parameter"},{"$ref":"#/components/parameters/donation_where_completed_at_gte_parameter"},{"$ref":"#/components/parameters/donation_where_completed_at_lt_parameter"},{"$ref":"#/components/parameters/donation_where_completed_at_lte_parameter"},{"$ref":"#/components/parameters/donation_where_fund_id_parameter"},{"$ref":"#/components/parameters/label_where_labels_slug_parameter"},{"$ref":"#/components/parameters/donation_order_parameter"},{"$ref":"#/components/parameters/donation_include_parameter"},{"$ref":"#/components/parameters/donation_all_fields_parameter"},{"$ref":"#/components/parameters/designation_all_fields_parameter"},{"$ref":"#/components/parameters/label_all_fields_parameter"},{"$ref":"#/components/parameters/note_all_fields_parameter"},{"$ref":"#/components/parameters/refund_all_fields_parameter"},{"$ref":"#/components/parameters/designationrefund_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_donations_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/donations/{donation_id}":{"summary":"Donation","description":"A `Donation` record corresponds to a gift given to an `Organization` at a particular point in time.\n\n`Donation`s are added by first associating them to a `Batch` of donations, and then committing the `Batch`. When adding a `Donation` to an already-committed `Batch`, the `Donation` will automatically be committed as well, and immediately added to the donor's online history.\n","get":{"tags":["Donation"],"parameters":[{"name":"donation_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Donation id"},{"$ref":"#/components/parameters/donation_include_parameter"},{"$ref":"#/components/parameters/donation_all_fields_parameter"},{"$ref":"#/components/parameters/designation_all_fields_parameter"},{"$ref":"#/components/parameters/label_all_fields_parameter"},{"$ref":"#/components/parameters/note_all_fields_parameter"},{"$ref":"#/components/parameters/refund_all_fields_parameter"},{"$ref":"#/components/parameters/designationrefund_only_attributes_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_donations_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"patch":{"tags":["Donation"],"parameters":[{"name":"donation_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Donation id"},{"$ref":"#/components/parameters/donation_include_parameter"},{"$ref":"#/components/parameters/donation_all_fields_parameter"},{"$ref":"#/components/parameters/designation_all_fields_parameter"},{"$ref":"#/components/parameters/label_all_fields_parameter"},{"$ref":"#/components/parameters/note_all_fields_parameter"},{"$ref":"#/components/parameters/refund_all_fields_parameter"},{"$ref":"#/components/parameters/designationrefund_only_attributes_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/donation_resource_update"},"responses":{"200":{"description":"Successful update response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_donations_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}},"delete":{"tags":["Donation"],"parameters":[{"name":"donation_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Donation id"}],"responses":{"204":{"description":"Successful destroy response (no content)"},"400":{"$ref":"#/components/responses/400_destroy"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/donations/{donation_id}/campus":{"summary":"Campus","description":"A `Campus` that has been added to your `Organization`.\n\n`Campus`es can be especially useful in filtering `Donation`s across the various locations of your `Organization`.\n","get":{"tags":["Donation"],"parameters":[{"name":"donation_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Donation id"},{"$ref":"#/components/parameters/campus_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/donation_campus_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/donations/{donation_id}/campus/{campus_id}":{"summary":"Campus","description":"A `Campus` that has been added to your `Organization`.\n\n`Campus`es can be especially useful in filtering `Donation`s across the various locations of your `Organization`.\n","get":{"tags":["Donation"],"parameters":[{"name":"donation_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Donation id"},{"name":"campus_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Campus id"},{"$ref":"#/components/parameters/campus_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/donation_campus_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/donations/{donation_id}/designations":{"summary":"Designation","description":"A `Designation` conveys how much of a `Donation` goes to a particular `Fund`.\n\n`Designation` details are required when creating a `Donation`. If all of a `Donation` is going to a single `Fund`, it will only have one `Designation`. Similarly, to split a `Donation` between multiple `Fund`s, you can use multiple `Designation`s.\n","get":{"tags":["Donation"],"parameters":[{"name":"donation_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Donation id"},{"$ref":"#/components/parameters/designation_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/donation_designations_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/donations/{donation_id}/designations/{designation_id}":{"summary":"Designation","description":"A `Designation` conveys how much of a `Donation` goes to a particular `Fund`.\n\n`Designation` details are required when creating a `Donation`. If all of a `Donation` is going to a single `Fund`, it will only have one `Designation`. Similarly, to split a `Donation` between multiple `Fund`s, you can use multiple `Designation`s.\n","get":{"tags":["Donation"],"parameters":[{"name":"donation_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Donation id"},{"name":"designation_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Designation id"},{"$ref":"#/components/parameters/designation_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/donation_designations_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/donations/{donation_id}/designations/{designation_id}/fund":{"summary":"Fund","description":"A `Fund` is a way of tracking the intent of `Donation`.\n\nAll `Organization`s have a default `Fund` (usually named \"General\"), and creating additional `Fund`s allows donors to allocate their gift to a particular cause/effort.\n\nYou can query for the default `Fund` using the `default` param:\n```\nGET https://api.planningcenteronline.com/giving/v2/funds?where[default]=true\n```\n","get":{"tags":["Donation"],"parameters":[{"name":"donation_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Donation id"},{"name":"designation_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Designation id"},{"$ref":"#/components/parameters/fund_where_default_parameter"},{"$ref":"#/components/parameters/fund_where_name_parameter"},{"$ref":"#/components/parameters/fund_where_id_parameter"},{"$ref":"#/components/parameters/fund_where_visibility_parameter"},{"$ref":"#/components/parameters/fund_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/designation_fund_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/donations/{donation_id}/designations/{designation_id}/fund/{fund_id}":{"summary":"Fund","description":"A `Fund` is a way of tracking the intent of `Donation`.\n\nAll `Organization`s have a default `Fund` (usually named \"General\"), and creating additional `Fund`s allows donors to allocate their gift to a particular cause/effort.\n\nYou can query for the default `Fund` using the `default` param:\n```\nGET https://api.planningcenteronline.com/giving/v2/funds?where[default]=true\n```\n","get":{"tags":["Donation"],"parameters":[{"name":"donation_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Donation id"},{"name":"designation_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Designation id"},{"name":"fund_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Fund id"},{"$ref":"#/components/parameters/fund_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/designation_fund_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"patch":{"tags":["Donation"],"parameters":[{"name":"donation_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Donation id"},{"name":"designation_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Designation id"},{"name":"fund_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Fund id"},{"$ref":"#/components/parameters/fund_all_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/fund_resource_update"},"responses":{"200":{"description":"Successful update response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/designation_fund_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}},"delete":{"tags":["Donation"],"parameters":[{"name":"donation_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Donation id"},{"name":"designation_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Designation id"},{"name":"fund_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Fund id"}],"responses":{"204":{"description":"Successful destroy response (no content)"},"400":{"$ref":"#/components/responses/400_destroy"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/donations/{donation_id}/issue_refund":{"summary":"issue_refund","description":"Used to refund a batch donation","post":{"tags":["Donation"],"parameters":[{"name":"donation_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Donation id"}],"responses":{"201":{"description":"Successful action response","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/donations/{donation_id}/labels":{"summary":"Label","description":"A `Label` is a way for Admins to manage and categorize `Donation`s.\n\nMultiple `Label`s can be added for each `Donation`, and these will only be displayed in the Giving admin interface, so donors never see them.\n","get":{"tags":["Donation"],"parameters":[{"name":"donation_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Donation id"},{"$ref":"#/components/parameters/label_where_slug_parameter"},{"$ref":"#/components/parameters/label_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/donation_labels_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/donations/{donation_id}/labels/{label_id}":{"summary":"Label","description":"A `Label` is a way for Admins to manage and categorize `Donation`s.\n\nMultiple `Label`s can be added for each `Donation`, and these will only be displayed in the Giving admin interface, so donors never see them.\n","get":{"tags":["Donation"],"parameters":[{"name":"donation_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Donation id"},{"name":"label_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Label id"},{"$ref":"#/components/parameters/label_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/donation_labels_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"patch":{"tags":["Donation"],"parameters":[{"name":"donation_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Donation id"},{"name":"label_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Label id"},{"$ref":"#/components/parameters/label_all_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/label_resource_update"},"responses":{"200":{"description":"Successful update response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/donation_labels_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}},"delete":{"tags":["Donation"],"parameters":[{"name":"donation_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Donation id"},{"name":"label_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Label id"}],"responses":{"204":{"description":"Successful destroy response (no content)"},"400":{"$ref":"#/components/responses/400_destroy"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/donations/{donation_id}/note":{"summary":"Note","description":"A `Note` is a way for Giving Admins and Bookkeepers to communicate internally about a donation.\nNotes are only visible in the Giving admin interface, not shown to donors. Each `Donation` can only\nhave a single note associated with it.\n\nTo record notes from donors, consider using the [Memo Line feature](https://pcogiving.zendesk.com/hc/en-us/articles/44484564313883-Manage-your-online-donation-form) instead.\n","get":{"tags":["Donation"],"parameters":[{"name":"donation_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Donation id"},{"$ref":"#/components/parameters/note_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/donation_note_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/donations/{donation_id}/refund":{"summary":"Refund","description":"A `Refund` record holds information pertaining to a refunded `Donation`.\n","get":{"tags":["Donation"],"parameters":[{"name":"donation_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Donation id"},{"$ref":"#/components/parameters/refund_include_parameter"},{"$ref":"#/components/parameters/refund_all_fields_parameter"},{"$ref":"#/components/parameters/designationrefund_all_fields_parameter"},{"$ref":"#/components/parameters/designation_only_attributes_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/donation_refund_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/donations/{donation_id}/refund/designation_refunds":{"summary":"DesignationRefund","description":"A record that links a `Refund` with a `Designation`\n","get":{"tags":["Donation"],"parameters":[{"name":"donation_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Donation id"},{"$ref":"#/components/parameters/designationrefund_include_parameter"},{"$ref":"#/components/parameters/designationrefund_all_fields_parameter"},{"$ref":"#/components/parameters/designation_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/refund_designation_refunds_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/donations/{donation_id}/refund/designation_refunds/{designation_refund_id}":{"summary":"DesignationRefund","description":"A record that links a `Refund` with a `Designation`\n","get":{"tags":["Donation"],"parameters":[{"name":"donation_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Donation id"},{"name":"designation_refund_id","in":"path","schema":{"type":"string"},"required":true,"description":"The DesignationRefund id"},{"$ref":"#/components/parameters/designationrefund_include_parameter"},{"$ref":"#/components/parameters/designationrefund_all_fields_parameter"},{"$ref":"#/components/parameters/designation_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/refund_designation_refunds_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/donations/{donation_id}/refund/designation_refunds/{designation_refund_id}/designation":{"summary":"Designation","description":"A `Designation` conveys how much of a `Donation` goes to a particular `Fund`.\n\n`Designation` details are required when creating a `Donation`. If all of a `Donation` is going to a single `Fund`, it will only have one `Designation`. Similarly, to split a `Donation` between multiple `Fund`s, you can use multiple `Designation`s.\n","get":{"tags":["Donation"],"parameters":[{"name":"donation_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Donation id"},{"name":"designation_refund_id","in":"path","schema":{"type":"string"},"required":true,"description":"The DesignationRefund id"},{"$ref":"#/components/parameters/designation_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/designation_refund_designation_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/donations/{donation_id}/refund/designation_refunds/{designation_refund_id}/designation/{designation_id}":{"summary":"Designation","description":"A `Designation` conveys how much of a `Donation` goes to a particular `Fund`.\n\n`Designation` details are required when creating a `Donation`. If all of a `Donation` is going to a single `Fund`, it will only have one `Designation`. Similarly, to split a `Donation` between multiple `Fund`s, you can use multiple `Designation`s.\n","get":{"tags":["Donation"],"parameters":[{"name":"donation_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Donation id"},{"name":"designation_refund_id","in":"path","schema":{"type":"string"},"required":true,"description":"The DesignationRefund id"},{"name":"designation_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Designation id"},{"$ref":"#/components/parameters/designation_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/designation_refund_designation_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/funds":{"summary":"Fund","description":"A `Fund` is a way of tracking the intent of `Donation`.\n\nAll `Organization`s have a default `Fund` (usually named \"General\"), and creating additional `Fund`s allows donors to allocate their gift to a particular cause/effort.\n\nYou can query for the default `Fund` using the `default` param:\n```\nGET https://api.planningcenteronline.com/giving/v2/funds?where[default]=true\n```\n","get":{"tags":["Fund"],"parameters":[{"$ref":"#/components/parameters/fund_where_default_parameter"},{"$ref":"#/components/parameters/fund_where_name_parameter"},{"$ref":"#/components/parameters/fund_where_id_parameter"},{"$ref":"#/components/parameters/fund_where_visibility_parameter"},{"$ref":"#/components/parameters/fund_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_funds_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"post":{"tags":["Fund"],"parameters":[{"$ref":"#/components/parameters/fund_all_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/fund_resource_create"},"responses":{"201":{"description":"Successful create response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_funds_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/funds/{fund_id}":{"summary":"Fund","description":"A `Fund` is a way of tracking the intent of `Donation`.\n\nAll `Organization`s have a default `Fund` (usually named \"General\"), and creating additional `Fund`s allows donors to allocate their gift to a particular cause/effort.\n\nYou can query for the default `Fund` using the `default` param:\n```\nGET https://api.planningcenteronline.com/giving/v2/funds?where[default]=true\n```\n","get":{"tags":["Fund"],"parameters":[{"name":"fund_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Fund id"},{"$ref":"#/components/parameters/fund_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_funds_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"patch":{"tags":["Fund"],"parameters":[{"name":"fund_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Fund id"},{"$ref":"#/components/parameters/fund_all_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/fund_resource_update"},"responses":{"200":{"description":"Successful update response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_funds_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}},"delete":{"tags":["Fund"],"parameters":[{"name":"fund_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Fund id"}],"responses":{"204":{"description":"Successful destroy response (no content)"},"400":{"$ref":"#/components/responses/400_destroy"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/in_kind_donations":{"summary":"InKindDonation","description":"An `InKindDonation` record represents a non-cash gift given to an `Organization` at a specific time.\n\nThese include items like furniture, vehicles, services, or stocks. `InKindDonations` do not trigger\nacknowledgment letter emails via the API — these must be sent from the Giving Admin UI.\n\n[More info](https://pcogiving.zendesk.com/hc/en-us/articles/360040772154-In-kind-donations#enter-an-in-kind-donation-0)\n","get":{"tags":["InKindDonation"],"parameters":[{"$ref":"#/components/parameters/inkinddonation_where_created_at_parameter"},{"$ref":"#/components/parameters/inkinddonation_where_created_at_gt_parameter"},{"$ref":"#/components/parameters/inkinddonation_where_created_at_gte_parameter"},{"$ref":"#/components/parameters/inkinddonation_where_created_at_lt_parameter"},{"$ref":"#/components/parameters/inkinddonation_where_created_at_lte_parameter"},{"$ref":"#/components/parameters/inkinddonation_where_updated_at_parameter"},{"$ref":"#/components/parameters/inkinddonation_where_updated_at_gt_parameter"},{"$ref":"#/components/parameters/inkinddonation_where_updated_at_gte_parameter"},{"$ref":"#/components/parameters/inkinddonation_where_updated_at_lt_parameter"},{"$ref":"#/components/parameters/inkinddonation_where_updated_at_lte_parameter"},{"$ref":"#/components/parameters/inkinddonation_where_received_on_parameter"},{"$ref":"#/components/parameters/inkinddonation_where_received_on_gt_parameter"},{"$ref":"#/components/parameters/inkinddonation_where_received_on_gte_parameter"},{"$ref":"#/components/parameters/inkinddonation_where_received_on_lt_parameter"},{"$ref":"#/components/parameters/inkinddonation_where_received_on_lte_parameter"},{"$ref":"#/components/parameters/inkinddonation_where_fund_id_parameter"},{"$ref":"#/components/parameters/inkinddonation_where_campus_id_parameter"},{"$ref":"#/components/parameters/fund_where_fund_default_parameter"},{"$ref":"#/components/parameters/fund_where_fund_name_parameter"},{"$ref":"#/components/parameters/fund_where_fund_id_parameter"},{"$ref":"#/components/parameters/fund_where_fund_visibility_parameter"},{"$ref":"#/components/parameters/person_where_person_first_name_parameter"},{"$ref":"#/components/parameters/person_where_person_last_name_parameter"},{"$ref":"#/components/parameters/inkinddonation_order_parameter"},{"$ref":"#/components/parameters/inkinddonation_include_parameter"},{"$ref":"#/components/parameters/inkinddonation_all_fields_parameter"},{"$ref":"#/components/parameters/campus_all_fields_parameter"},{"$ref":"#/components/parameters/fund_all_fields_parameter"},{"$ref":"#/components/parameters/person_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_in_kind_donations_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"post":{"tags":["InKindDonation"],"parameters":[{"$ref":"#/components/parameters/inkinddonation_include_parameter"},{"$ref":"#/components/parameters/inkinddonation_all_fields_parameter"},{"$ref":"#/components/parameters/campus_all_fields_parameter"},{"$ref":"#/components/parameters/fund_all_fields_parameter"},{"$ref":"#/components/parameters/person_all_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/inkinddonation_resource_create"},"responses":{"201":{"description":"Successful create response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_in_kind_donations_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/in_kind_donations/{in_kind_donation_id}":{"summary":"InKindDonation","description":"An `InKindDonation` record represents a non-cash gift given to an `Organization` at a specific time.\n\nThese include items like furniture, vehicles, services, or stocks. `InKindDonations` do not trigger\nacknowledgment letter emails via the API — these must be sent from the Giving Admin UI.\n\n[More info](https://pcogiving.zendesk.com/hc/en-us/articles/360040772154-In-kind-donations#enter-an-in-kind-donation-0)\n","get":{"tags":["InKindDonation"],"parameters":[{"name":"in_kind_donation_id","in":"path","schema":{"type":"string"},"required":true,"description":"The InKindDonation id"},{"$ref":"#/components/parameters/inkinddonation_include_parameter"},{"$ref":"#/components/parameters/inkinddonation_all_fields_parameter"},{"$ref":"#/components/parameters/campus_all_fields_parameter"},{"$ref":"#/components/parameters/fund_all_fields_parameter"},{"$ref":"#/components/parameters/person_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_in_kind_donations_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"patch":{"tags":["InKindDonation"],"parameters":[{"name":"in_kind_donation_id","in":"path","schema":{"type":"string"},"required":true,"description":"The InKindDonation id"},{"$ref":"#/components/parameters/inkinddonation_include_parameter"},{"$ref":"#/components/parameters/inkinddonation_all_fields_parameter"},{"$ref":"#/components/parameters/campus_all_fields_parameter"},{"$ref":"#/components/parameters/fund_all_fields_parameter"},{"$ref":"#/components/parameters/person_all_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/inkinddonation_resource_update"},"responses":{"200":{"description":"Successful update response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_in_kind_donations_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}},"delete":{"tags":["InKindDonation"],"parameters":[{"name":"in_kind_donation_id","in":"path","schema":{"type":"string"},"required":true,"description":"The InKindDonation id"}],"responses":{"204":{"description":"Successful destroy response (no content)"},"400":{"$ref":"#/components/responses/400_destroy"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/in_kind_donations/{in_kind_donation_id}/campus":{"summary":"Campus","description":"A `Campus` that has been added to your `Organization`.\n\n`Campus`es can be especially useful in filtering `Donation`s across the various locations of your `Organization`.\n","get":{"tags":["InKindDonation"],"parameters":[{"name":"in_kind_donation_id","in":"path","schema":{"type":"string"},"required":true,"description":"The InKindDonation id"},{"$ref":"#/components/parameters/campus_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/in_kind_donation_campus_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/in_kind_donations/{in_kind_donation_id}/campus/{campus_id}":{"summary":"Campus","description":"A `Campus` that has been added to your `Organization`.\n\n`Campus`es can be especially useful in filtering `Donation`s across the various locations of your `Organization`.\n","get":{"tags":["InKindDonation"],"parameters":[{"name":"in_kind_donation_id","in":"path","schema":{"type":"string"},"required":true,"description":"The InKindDonation id"},{"name":"campus_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Campus id"},{"$ref":"#/components/parameters/campus_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/in_kind_donation_campus_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/in_kind_donations/{in_kind_donation_id}/fund":{"summary":"Fund","description":"A `Fund` is a way of tracking the intent of `Donation`.\n\nAll `Organization`s have a default `Fund` (usually named \"General\"), and creating additional `Fund`s allows donors to allocate their gift to a particular cause/effort.\n\nYou can query for the default `Fund` using the `default` param:\n```\nGET https://api.planningcenteronline.com/giving/v2/funds?where[default]=true\n```\n","get":{"tags":["InKindDonation"],"parameters":[{"name":"in_kind_donation_id","in":"path","schema":{"type":"string"},"required":true,"description":"The InKindDonation id"},{"$ref":"#/components/parameters/fund_where_default_parameter"},{"$ref":"#/components/parameters/fund_where_name_parameter"},{"$ref":"#/components/parameters/fund_where_id_parameter"},{"$ref":"#/components/parameters/fund_where_visibility_parameter"},{"$ref":"#/components/parameters/fund_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_pe
[...]
